#!/bin/bash

# Autore:   Gianpaolo Lucatti
# E-mail:   sportegioco@gmail.com
# Sito web: http://www.sportegioco.it

#Questo script serve per permettere a firefox di
#aprire file e cartelle locali, semplicemente cliccando
#su un link formattato nel seguente modo:
#<a href="openlocal://file:///home/administrator/miofile.txt">Prova apri file</a><br>
#<a href="openlocal://file:///home/administrator">Prova apri cartella</a><br>
#Oppure anche così:
#<a href="openlocal:///home/administrator/miofile.txt">Prova apri file</a><br>
#<a href="openlocal:///home/administrator">Prova apri cartella</a><br>
#naturamente solo dopo aver aggiunto le seguenti due righe al file prefs.js di firefox
#
#user_pref("network.protocol-handler.app.openlocal", "/usr/local/bin/openlocalfiledir.sh");
#user_pref("network.protocol-handler.external.openlocal", true);
#
#
#Per permettere a firefox di eseguire il comando occorre definire un nuovo protocollo
#che nel mio caso ho definito in openlocal, al quale ho abbinato di aprire questo piccolo
#script/programma, openlocalfiledir.sh che ho copiato in /usr/local/bin ed al quale
#ho dato i permessi di esecuzione. Per maggiori informazioni:
#http://support.mozilla.com/it/kb/Il+protocollo+non+%C3%A8+associato+ad+alcun+programma
#
#Malgrado questo la prima volta che apro firefox se non seleziono nuovamente il programma
#da utilizzare tramite il pulsante scegli ecc. non funzionerebbe. Ho notato che questa
#procedura inserisce delle righe nel file mimetypes.rdf di firefox che sicuramente sono
#obbligatorie affinchè possa funzionare. (Questo deve essere fatto solo la prima volta 
#che si apre un link del tipo openlocal://...
#
#Ho dovuto in questo script sostituire la scritta openlocal con la scritta file, altrimenti
#il comando che veniva passato era: xdg-open openlocal:///home/administrator/miofile.txt
#e naturalmente non funzionava

# VECCHIE PROVE 
#zenity --warning --text="Eseguo: \"$1\" "
#stringafiledir=$(echo $1 | sed s/openlocal/file/g)  #Scrive file al posto di openlocal" 
#zenity --warning --text="Nuova Stringa: \"$stringafiledir\" "
#xdg-open "$stringafiledir"


#zenity --warning --text="Eseguo: \"$1\" "
#stringafiledir="$1"
#zenity --warning --text="Eseguo seconda : \"${stringafiledir:12}\" "
#echo ${stringafiledir:12} 
#stringafiledir=$(echo $1 | sed s/openlocal:\/\///g)  #Scrive file al posto di openlocal" 
#stringafiledir=${stringafiledir:12}   #Scrive file al posto di openlocal" 
#zenity --warning --text="Nuova Stringa: \"$stringafiledir\" "
#xdg-open "$stringafiledir"

xdg-open "${1:12}" #Praticamente ho preso il primo parametro posizionale, cioè il $1 ed ho tolto 12 lettere all'inizio, lasciando solo file:///....




